% file: cfbVampExtended.m
% SLiCAP-MATLAB script file
% You should call this script from the file that performs the 
% initialization of a project for your SLiCAP-MATLAB work.
% You need to store this file as well as the circuit file(s) 
% in the project directory.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
checkCircuit('cfbVampExtended');% - reads and checks the circuit 
                                % - creates the matrices    
                                % - creates an html index page
htmlPage('Circuit data');       % Creates an html page for results
elementData2html();             % Displays the expanded netlist data
% file: cfbVampExtended.m %%%%%%% Numeric calculations for plots %%%%%%%%%%
htmlPage('Bode plots');         % Create an html page for Bode plots
source('V1');
detector('V_3');
lgRef('H_O1');
simType('numeric');
dataType('laplace');
gainType('gain');
G = execute();
gainType('asymptotic');
A = execute();
gainType('servo');
S = execute();
gainType('loopgain');
L = execute();
gainType('direct');
D = execute();
dBmag = plotdBmag('cfbVamp',[A, L, S, D, G], 1e4, 1e9, 200);
fig2html(dBmag, 'dbMag_cfbvamp.svg', 800);
phase = plotPhase('cfbVamp',[A, L, S, D, G], 1e4, 1e9, 200);
fig2html(phase, 'phase_cfbvamp.svg', 800);
% file: cfbVampExtended.m %%%%%%% Symbolic evaluation of asymptotic-gain %
htmlPage('Symbolic asymptotic gain');
simType('symbolic');
gainType('asymptotic');
result = execute();
A = result.results(1);
text2html('The asymptotic gain is found as:');
syms('A_f_infty');
eqn2html(A_f_infty, A);
stophtml                                
