% file: vAmpBlackF.m
% SLiCAP-MATLAB script file
% You should call this script from the file that performs the 
% initialization of a project for your SLiCAP-MATLAB work.
% You need to store this file as well as the circuit file(s) 
% in the project directory.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
checkCircuit('vAmpBlackF');% - reads and checks the circuit 
                           % - creates the matrices
                           % - creates an html index page for this circuit
htmlPage('Voltage amplifier with CCCS controller');     
                           % this creates a html page for displaying output
source('V1');              % assign V1 as signal source
detector('V_3');           % assign a voltage detector that measures
                           % the voltage between node '3' and node '0' 
simType('symbolic');       % set the simulation type to 'symbolic'
gainType('gain');          % set the gain type to 'gain'   
dataType('laplace');       % set the data type to 'laplace'
result = execute();        % assign the execution results to the variable result    
syms 'V_ell' 'V_s'         % create the symbolic variables 'V_ell' and 'V_s'
gain = result.results(1);  % extract the expression from the result structured
                           % array and assign it to the variable 'gain'
text2html('The gain of the system can be obtained as:'); 
                           % display some meaningful text on the html page
eqn2html(V_ell/V_s, gain); % display the result on the html page
stophtml                   % close the html page        
